import { AKEmailConfig } from './config.js';
export declare class AKEmailService {
    protected config: AKEmailConfig;
    static eventTypeHeaderKey: string;
    static edgeDriveKey: string;
    constructor(config: AKEmailConfig);
    static templatePath(templateName?: string): string;
    send(templateBasePath: string, recipientEmail: string, subject: string, data: any, eventType: string): Promise<void>;
    isMailRecipientAllowed(email: string): boolean;
    isInList(email: string, list: string[]): boolean;
}
